Bug 850831 - wrong error if installing already installed group
wrong error if installing already installed group
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.0
All Linux
unspecified Severity low
: rc
: 7.0
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 09:50 EDT by Vladimir Benes
Modified: 2013-05-07 15:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-07 15:55:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-08-22 09:50:51 EDT
Description of problem:
when itrying to install already installed group there is an error saying that such package doesn't exist. This is wrong
Command failed: This tool could not find any available package: could not find @fonts


Version-Release number of selected component (if applicable):
PackageKit-0.7.4-5.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.execute yum groupinstall @fonts
2.execute pkcon install @fonts

  
Actual results:
Command failed: This tool could not find any available package: could not find @fonts


Expected results:
message that category is already installed

Additional info:
Comment 1 Richard Hughes 2012-11-05 10:26:21 EST
PackageKit treats groups like @fonts like virtual packages. To see if a package is installed we resolve it. So if a group is already installed and we search with a ~installed filter then we get no results back. It's difficult to fix this bug without changing how the meta-packages are handled.

Note You need to log in before you can comment on or make changes to this bug.